Get SSH access

Preview. How to open SSH to the sandbox, and the public keys that it takes. The user name is the id of the sandbox.

GET
/sandboxes/{sandbox_id}/ssh

Authorization

headerAuthorizationBearer <token>

Your Munito API key.

Path Parameters

sandbox_id*string

The id of the sandbox.

Response Body

How to open SSH to the sandbox, and its keys.

application/json
  1. response
object?string
Default"sandbox.ssh"
sandbox_id*string
host*string

The SSH host of the sandboxes.

user*string

The user name: the id of the sandbox.

command*string

The command that opens a shell, with one of the keys.

keys*array<string>

The public keys that open SSH to the sandbox.

host_key?string

The host key of SSH. Add <host> <host_key> to ~/.ssh/known_hosts, so ssh trusts the host without a first prompt.

Default""
curl -X GET 'https://api.munito.ai/sandboxes/v1/sandboxes/string/ssh'
Example Response
{
  "object": "sandbox.ssh",
  "sandbox_id": "string",
  "host": "string",
  "user": "string",
  "command": "string",
  "keys": [
    "string"
  ],
  "host_key": ""
}